/** A function that converts from raw Completion response from OpenAI
 * into a nicer object which includes the first choice in response from OpenAI.
 */
type ResponseFactory<Raw, Nice> = (response: Raw) => Nice;
/**
 * A transform stream that takes the streaming responses from the OpenAI API
 * and turns them into useful response objects.
 */
export declare class StreamCompletionChunker<Raw, Nice> implements TransformStream<Uint8Array, Nice> {
    writable: WritableStream<Uint8Array>;
    readable: ReadableStream<Nice>;
    constructor(responseFactory: ResponseFactory<Raw, Nice>);
}
export {};
